from pathlib import Path

import httpx


def get_html(idx: str):
    url = f"https://lawyerly.ph/juris/view/{idx}"
    filename = Path(".") / "data" / f"{url[-5:]}.html"
    if not filename.exists():
        response = httpx.get(url, verify=False)
        with open(filename, "w") as f:
            f.write(response.text)


def read_html(idx: str):
    filename = Path(".") / "data" / f"{idx}.html"
    read_data = None
    with open(filename, "r") as f:
        read_data = f.read()
    return read_data
