# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['prelib']

package_data = \
{'': ['*']}

install_requires = \
['acquisition-sanitizer>=0.1.3,<0.2.0',
 'beautifulsoup4>=4.9.3,<5.0.0',
 'casetransform>=0.1.2,<0.2.0',
 'html5lib>=1.1,<2.0',
 'httpx>=0.16.1,<0.17.0',
 'ruling-phrase>=0.5.1,<0.6.0']

setup_kwargs = {
    'name': 'prelib',
    'version': '0.1.10',
    'description': 'Processes decisions before 1996',
    'long_description': None,
    'author': 'Marcelino G. Veloso III',
    'author_email': 'testmarcelino@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.9.1,<4.0.0',
}


setup(**setup_kwargs)
